require("rust-tools").setup({
  tools = {
    inlay_hints = {
      auto = true
    }
  },
  server = {
    checkOnSave = {
      command = "clippy",
      extraArgs = {
        "--",
        "-W", "clippy::pedantic",
        "-W", "clippy::nursery",
        "-W", "clippy::unwrap_used",
        "-W", "clippy::expect_used",
      },
    },
  },
})
return {
  ["simrat39/rust-tools.nvim"] = {
    after = { "mason-lspconfig.nvim" },
    config = function()
      require("rust-tools").setup({
        tools = {
          inlay_hints = {
            auto = true
          }
        },
        server = {
          checkOnSave = {
            command = "clippy",
            extraArgs = {
              "--",
              "-W", "clippy::pedantic",
              "-W", "clippy::nursery",
              "-W", "clippy::unwrap_used",
              "-W", "clippy::expect_used",
            },
          },
        },
      })
    end,
  },
  ["lvimuser/lsp-inlayhints.nvim"] = {
    module = "lsp-inlayhints",
    config = function() require "user.plugins.lsp-inlayhints" end,
  },
}
